Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantMaster

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantMaster

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AssistantMaster extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AssistantMaster.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantMaster()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AssistantMaster.Builder`
  `builder()`
  `List<Integer>`
  `getActionIds()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getIconData()`
  `List<Integer>`
  `getRoleIds()`
  `String`
  `getStartActionId()`
  `int`
  `getStatus()`
  `boolean`
  `isShowBotAssistant()`
  `boolean`
  `isShowClient()`
  `boolean`
  `isShowClientContract()`
  `boolean`
  `isShowMobileAssistant()`
  `boolean`
  `isShowWebAssistant()`
  `boolean`
  `isShowWebLKAssistant()`
  `void`
  `setActionIds(List<Integer> actionIds)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setIconData(String iconData)`
  `void`
  `setRoleIds(List<Integer> roleIds)`
  `void`
  `setShowBotAssistant(boolean showBotAssistant)`
  `void`
  `setShowClient(boolean showClient)`
  `void`
  `setShowClientContract(boolean showClientContract)`
  `void`
  `setShowMobileAssistant(boolean showMobileAssistant)`
  `void`
  `setShowWebAssistant(boolean showWebAssistant)`
  `void`
  `setShowWebLKAssistant(boolean showWebLKAssistant)`
  `void`
  `setStartActionId(String startActionId)`
  `void`
  `setStatus(int status)`
  `ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantMasterDTO`
  `toAssistantMasterDTO()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AssistantMaster

    public AssistantMaster()

- ## Method Details

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getStartActionId

    public String getStartActionId()

  - ### setStartActionId

    public void setStartActionId(String startActionId)

  - ### getIconData

    public String getIconData()

  - ### setIconData

    public void setIconData(String iconData)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getActionIds

    public List<Integer> getActionIds()

  - ### setActionIds

    public void setActionIds(List<Integer> actionIds)

  - ### getRoleIds

    public List<Integer> getRoleIds()

  - ### setRoleIds

    public void setRoleIds(List<Integer> roleIds)

  - ### isShowClient

    public boolean isShowClient()

  - ### isShowClientContract

    public boolean isShowClientContract()

  - ### isShowWebAssistant

    public boolean isShowWebAssistant()

  - ### isShowMobileAssistant

    public boolean isShowMobileAssistant()

  - ### isShowWebLKAssistant

    public boolean isShowWebLKAssistant()

  - ### isShowBotAssistant

    public boolean isShowBotAssistant()

  - ### setShowClient

    public void setShowClient(boolean showClient)

  - ### setShowClientContract

    public void setShowClientContract(boolean showClientContract)

  - ### setShowWebAssistant

    public void setShowWebAssistant(boolean showWebAssistant)

  - ### setShowMobileAssistant

    public void setShowMobileAssistant(boolean showMobileAssistant)

  - ### setShowWebLKAssistant

    public void setShowWebLKAssistant(boolean showWebLKAssistant)

  - ### setShowBotAssistant

    public void setShowBotAssistant(boolean showBotAssistant)

  - ### toAssistantMasterDTO

    public ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantMasterDTO toAssistantMasterDTO()

  - ### builder

    public static AssistantMaster.Builder builder()